LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XSheetFilterable Interface Referencepublished

represents something that can be filtered using an XSheetFilterDescriptor. More...

`import"XSheetFilterable.idl";`

Inheritance diagram for XSheetFilterable:

## Public Member Functions
com::sun::star::sheet::XSheetFilterDescriptor | createFilterDescriptor ([in] boolean bEmpty)
| creates a filter descriptor. More...
void | filter ([in] com::sun::star::sheet::XSheetFilterDescriptor xDescriptor)
| performs a filter operation, using the settings of the passed filter descriptor. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents something that can be filtered using an XSheetFilterDescriptor.

See also
  com::sun::star::sheet::XSheetFilterableEx

Developers Guide
  Spreadsheet Documents - Filtering

## Member Function Documentation

## ◆ createFilterDescriptor()

com::sun::star::sheet::XSheetFilterDescriptor createFilterDescriptor | ( | [in] boolean | bEmpty | ) |

creates a filter descriptor.

Parameters

  bEmpty | if set to `TRUE`, creates an empty filter descriptor. If set to `FALSE`, fills the filter descriptor with previous settings of the current object (i.e. a database range).

## ◆ filter()

void filter | ( | [in] com::sun::star::sheet::XSheetFilterDescriptor | xDescriptor | ) |

performs a filter operation, using the settings of the passed filter descriptor.

Parameters

  xDescriptor | the settings for the filter operation.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetFilterable.idl